Package org.zkoss.zkmax.au.websocket

## Class ResponseWrapper

- java.lang.Object
- - javax.servlet.ServletResponseWrapper
  - - javax.servlet.http.HttpServletResponseWrapper
    - - org.zkoss.zkmax.au.websocket.ResponseWrapper

- All Implemented Interfaces:
    `javax.servlet.http.HttpServletResponse`, `javax.servlet.ServletResponse`

      public class ResponseWrapper
      extends javax.servlet.http.HttpServletResponseWrapper

  A facade response for WebSocket wrapping the WebSocket handshake response.
  Since:
    8.5.0
  Author:
    wenninghsu

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletResponse

      `SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResponseWrapper​(javax.servlet.http.HttpServletResponse response)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCookie​(javax.servlet.http.Cookie cookie)` |
    `void` | `addDateHeader​(java.lang.String name, long date)` |
    `void` | `addHeader​(java.lang.String name, java.lang.String value)` |
    `void` | `addIntHeader​(java.lang.String name, int value)` |
    `boolean` | `containsHeader​(java.lang.String name)` |
    `java.lang.String` | `encodeRedirectURL​(java.lang.String url)` |
    `java.lang.String` | `encodeURL​(java.lang.String url)` |
    `java.lang.String` | `getCharacterEncoding()` |
    `java.lang.String` | `getContentType()` |
    `protected java.util.Map<java.lang.String,​java.lang.Object>` | `getExtraHeaders()` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getGeneral()` |
    `java.lang.String` | `getHeader​(java.lang.String name)` |
    `java.util.Collection<java.lang.String>` | `getHeaderNames()` |
    `java.util.Collection<java.lang.String>` | `getHeaders​(java.lang.String name)` |
    `java.util.Locale` | `getLocale()` |
    `void` | `setCharacterEncoding​(java.lang.String charset)` |
    `void` | `setContentType​(java.lang.String type)` |
    `void` | `setDateHeader​(java.lang.String name, long date)` |
    `void` | `setHeader​(java.lang.String name, java.lang.String value)` |
    `void` | `setIntHeader​(java.lang.String name, int value)` |
    `void` | `setLocale​(java.util.Locale loc)` |
    `void` | `setStatus​(int sc)` |

    - ### Methods inherited from class javax.servlet.http.HttpServletResponseWrapper

      `encodeRedirectUrl, encodeUrl, getStatus, sendError, sendError, sendRedirect, setStatus`

    - ### Methods inherited from class javax.servlet.ServletResponseWrapper

      `flushBuffer, getBufferSize, getOutputStream, getResponse, getWriter, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setContentLength, setContentLengthLong, setResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletResponse

      `flushBuffer, getBufferSize, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setContentLength, setContentLengthLong`

- - ### Constructor Detail

    - #### ResponseWrapper

          public ResponseWrapper​(javax.servlet.http.HttpServletResponse response)

  - ### Method Detail

    - #### encodeURL

          public java.lang.String encodeURL​(java.lang.String url)

      Specified by:
        `encodeURL` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `encodeURL` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### encodeRedirectURL

          public java.lang.String encodeRedirectURL​(java.lang.String url)

      Specified by:
        `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `encodeRedirectURL` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### addCookie

          public void addCookie​(javax.servlet.http.Cookie cookie)

      Specified by:
        `addCookie` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `addCookie` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### setHeader

          public void setHeader​(java.lang.String name,
                                java.lang.String value)

      Specified by:
        `setHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `setHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### setIntHeader

          public void setIntHeader​(java.lang.String name,
                                   int value)

      Specified by:
        `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `setIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### setDateHeader

          public void setDateHeader​(java.lang.String name,
                                    long date)

      Specified by:
        `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `setDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### addHeader

          public void addHeader​(java.lang.String name,
                                java.lang.String value)

      Specified by:
        `addHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `addHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### addDateHeader

          public void addDateHeader​(java.lang.String name,
                                    long date)

      Specified by:
        `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `addDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### addIntHeader

          public void addIntHeader​(java.lang.String name,
                                   int value)

      Specified by:
        `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `addIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### containsHeader

          public boolean containsHeader​(java.lang.String name)

      Specified by:
        `containsHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `containsHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### getExtraHeaders

          protected java.util.Map<java.lang.String,​java.lang.Object> getExtraHeaders()

    - #### getHeader

          public java.lang.String getHeader​(java.lang.String name)

      Specified by:
        `getHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `getHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### getHeaders

          public java.util.Collection<java.lang.String> getHeaders​(java.lang.String name)

      Specified by:
        `getHeaders` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `getHeaders` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### getHeaderNames

          public java.util.Collection<java.lang.String> getHeaderNames()

      Specified by:
        `getHeaderNames` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `getHeaderNames` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### setStatus

          public void setStatus​(int sc)

      Specified by:
        `setStatus` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### getGeneral

          public java.util.Map<java.lang.String,​java.lang.Object> getGeneral()

    - #### setLocale

          public void setLocale​(java.util.Locale loc)

      Specified by:
        `setLocale` in interface `javax.servlet.ServletResponse`
      Overrides:
        `setLocale` in class `javax.servlet.ServletResponseWrapper`

    - #### getLocale

          public java.util.Locale getLocale()

      Specified by:
        `getLocale` in interface `javax.servlet.ServletResponse`
      Overrides:
        `getLocale` in class `javax.servlet.ServletResponseWrapper`

    - #### setCharacterEncoding

          public void setCharacterEncoding​(java.lang.String charset)

      Specified by:
        `setCharacterEncoding` in interface `javax.servlet.ServletResponse`
      Overrides:
        `setCharacterEncoding` in class `javax.servlet.ServletResponseWrapper`

    - #### getCharacterEncoding

          public java.lang.String getCharacterEncoding()

      Specified by:
        `getCharacterEncoding` in interface `javax.servlet.ServletResponse`
      Overrides:
        `getCharacterEncoding` in class `javax.servlet.ServletResponseWrapper`

    - #### setContentType

          public void setContentType​(java.lang.String type)

      Specified by:
        `setContentType` in interface `javax.servlet.ServletResponse`
      Overrides:
        `setContentType` in class `javax.servlet.ServletResponseWrapper`

    - #### getContentType

          public java.lang.String getContentType()

      Specified by:
        `getContentType` in interface `javax.servlet.ServletResponse`
      Overrides:
        `getContentType` in class `javax.servlet.ServletResponseWrapper`